#!/bin/sh
# script to generate tarball
set -e
giturl='git://git.mageia.org/software/rpm/rpm-setup'
cwd=$(pwd)
tmpdir=$(mktemp -d)
cd $tmpdir
git clone "$giturl"
cd rpm-setup
if [ -n "$1" ]
then
    version="$1"
else
    version="$(git describe --tags --abbrev=0)"
fi
git checkout $version
mkdir -p m4
autoreconf -vfi
./configure
make dist
for file in *.tar.xz
do
    if [ -e "$cwd/$file" ]
    then
        echo "Cannot copy $file: file already exists" >&2
        break
    fi
    mv "$file" "$cwd/$file"
    echo "----> $file"
done
cd "$cwd"
rm -Rf "$tmpdir"
